path: /build/build/hidapi-dev-libs-0.14.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-doc" emerge dev-libs/hidapi -pv -t && \
    USE="-doc" emerge -j ${JOBS} --nodeps dev-libs/hidapi
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/hidapi && luet-portage --dir /pkgdir/hidapi
    dev-libs/hidapi && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:b56183dd9759dc62b53c18dcb292445f5ef627d76f977e67ca9f773d2b03d6da
  package:
    name: hidapi
    version: 0.14.0
    category: dev-libs
    use_flags:
    - -doc
    requires:
    - name: macaroni-funtoo-race20
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A multi-platform library for USB and Bluetooth HID-Class devices
    uri:
    - https://github.com/libusb/hidapi
    license: '|| ( BSD GPL-3 HIDAPI )'
    buildtimestamp: 2023-12-06 16:01:39.447870292 +0000 UTC m=+194.136274248
    labels:
      BDEPEND: doc? ( app-doc/doxygen ) dev-util/ninja >=dev-util/cmake-3.9.6
      DEPEND: virtual/libusb:1 virtual/libudev:0
      IUSE: doc
      RDEPEND: virtual/libusb:1 virtual/libudev:0
      emerge.packages: dev-libs/hidapi
      kit: geaaru-kit
      original.package.name: dev-libs/hidapi
      original.package.slot: "0"
      original.package.version: 0.14.0
    treedir: /build/packages
  package_dir: /pkgdir/hidapi
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d618af48f8f7a5eb201b2a55a710cc290d6583b432e6abd1e9966fd6a5d35888
compressiontype: zstd
files:
- usr/include/hidapi/hidapi.h
- usr/include/hidapi/hidapi_libusb.h
- usr/lib64/cmake/hidapi/hidapi-config-version.cmake
- usr/lib64/cmake/hidapi/hidapi-config.cmake
- usr/lib64/cmake/hidapi/libhidapi-gentoo.cmake
- usr/lib64/cmake/hidapi/libhidapi.cmake
- usr/lib64/libhidapi-hidraw.so
- usr/lib64/libhidapi-hidraw.so.0
- usr/lib64/libhidapi-hidraw.so.0.14.0
- usr/lib64/libhidapi-libusb.so
- usr/lib64/libhidapi-libusb.so.0
- usr/lib64/libhidapi-libusb.so.0.14.0
- usr/lib64/pkgconfig/hidapi-hidraw.pc
- usr/lib64/pkgconfig/hidapi-libusb.pc
- usr/share/doc/hidapi-0.14.0/README.md.bz2
- var/db/pkg/dev-libs/hidapi-0.14.0/BDEPEND
- var/db/pkg/dev-libs/hidapi-0.14.0/BUILD_TIME
- var/db/pkg/dev-libs/hidapi-0.14.0/CATEGORY
- var/db/pkg/dev-libs/hidapi-0.14.0/CBUILD
- var/db/pkg/dev-libs/hidapi-0.14.0/CFLAGS
- var/db/pkg/dev-libs/hidapi-0.14.0/CHOST
- var/db/pkg/dev-libs/hidapi-0.14.0/CONTENTS
- var/db/pkg/dev-libs/hidapi-0.14.0/COUNTER
- var/db/pkg/dev-libs/hidapi-0.14.0/CXXFLAGS
- var/db/pkg/dev-libs/hidapi-0.14.0/DEFINED_PHASES
- var/db/pkg/dev-libs/hidapi-0.14.0/DEPEND
- var/db/pkg/dev-libs/hidapi-0.14.0/DESCRIPTION
- var/db/pkg/dev-libs/hidapi-0.14.0/EAPI
- var/db/pkg/dev-libs/hidapi-0.14.0/FEATURES
- var/db/pkg/dev-libs/hidapi-0.14.0/HOMEPAGE
- var/db/pkg/dev-libs/hidapi-0.14.0/INHERITED
- var/db/pkg/dev-libs/hidapi-0.14.0/IUSE
- var/db/pkg/dev-libs/hidapi-0.14.0/IUSE_EFFECTIVE
- var/db/pkg/dev-libs/hidapi-0.14.0/KEYWORDS
- var/db/pkg/dev-libs/hidapi-0.14.0/LDFLAGS
- var/db/pkg/dev-libs/hidapi-0.14.0/LICENSE
- var/db/pkg/dev-libs/hidapi-0.14.0/NEEDED
- var/db/pkg/dev-libs/hidapi-0.14.0/PF
- var/db/pkg/dev-libs/hidapi-0.14.0/PROVIDES
- var/db/pkg/dev-libs/hidapi-0.14.0/RDEPEND
- var/db/pkg/dev-libs/hidapi-0.14.0/REQUIRES
- var/db/pkg/dev-libs/hidapi-0.14.0/SIZE
- var/db/pkg/dev-libs/hidapi-0.14.0/SLOT
- var/db/pkg/dev-libs/hidapi-0.14.0/USE
- var/db/pkg/dev-libs/hidapi-0.14.0/environment.bz2
- var/db/pkg/dev-libs/hidapi-0.14.0/hidapi-0.14.0.ebuild
- var/db/pkg/dev-libs/hidapi-0.14.0/repository
package_cacheimage: ""
runtime:
  name: hidapi
  version: 0.14.0
  category: dev-libs
  use_flags:
  - -doc
  requires:
  - name: libudev
    version: '>=0'
    category: virtual
  - name: libusb
    version: '>=0'
    category: virtual-1
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A multi-platform library for USB and Bluetooth HID-Class devices
  uri:
  - https://github.com/libusb/hidapi
  license: '|| ( BSD GPL-3 HIDAPI )'
  labels:
    BDEPEND: doc? ( app-doc/doxygen ) dev-util/ninja >=dev-util/cmake-3.9.6
    DEPEND: virtual/libusb:1 virtual/libudev:0
    IUSE: doc
    RDEPEND: virtual/libusb:1 virtual/libudev:0
    emerge.packages: dev-libs/hidapi
    kit: geaaru-kit
    original.package.name: dev-libs/hidapi
    original.package.slot: "0"
    original.package.version: 0.14.0
